List messages for the platform
Méthode GET https://client-api.v5.livstick.com/api/v3/messages
Return a paginated list of messages belonging to the authenticated platform. Filter by CRID to get all messages for a specific container, or by code group.
Autorisation
Scope requis
messages:read
Use Authorization: Bearer liv_<prefix>_<secret>.
Paramètres
| Nom | Emplacement | Type | Requis | Contraintes | Description |
|---|---|---|---|---|---|
limit |
Paramètre de requête | integer |
Facultatif | max 200 |
Maximum number of items to return.
Par défaut
50
|
skip |
Paramètre de requête | integer |
Facultatif |
Number of items to skip (pagination offset).
Par défaut
0
|
|
crid |
Paramètre de requête | string |
Facultatif | Filter messages by container CRID. | |
codeGroupId |
Paramètre de requête | string |
Facultatif | Filter messages by code group objectId. | |
redeemCode |
Paramètre de requête | string |
Facultatif | Filter messages by canonical redeem code. | |
order |
Paramètre de requête | string |
Facultatif |
Sort field. Prefix with - for descending.
Par défaut
-createdAt
|
Réponses
Paginated list of messages.
Authentication failed or missing bearer token.
json
401
{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing API key"
}
}
Authenticated but not allowed by scope or key constraints.
json
403
{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient permissions"
}
}